Bug 176164

Summary: /dev/pilot is not created for Tungsten T5
Product: [Fedora] Fedora Reporter: Jan "Yenya" Kasprzak <kas>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: r.schuurmans
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-01-24 10:44:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jan "Yenya" Kasprzak 2005-12-19 14:36:22 EST
Description of problem:
Palm Tungsten T5 - /dev/pilot symlink is not created when the device
is hot-plugged.

Version-Release number of selected component (if applicable):
udev-077-2

How reproducible:
100%

Steps to Reproduce:
1. plug in the Palm Tungsten T5
2. push the HotSync button
  
Actual results:
symlink /dev/pilot is not created


Expected results:
symlink /dev/pilot -> ttyUSB1 should be created.

Additional info:
Tungsten T5 has not the SYSFS{product} field "Palm Handheld", as the
corresponding line in /etc/udev/rules.d/50-udev.conf expects. It has "palmOne
Handheld" product name. I suggest adding the following line after the line 47 of
50-udev.conf:

KERNEL=="ttyUSB*", SYSFS{product}=="palmOne Handheld*", SYMLINK+="pilot"
Comment 1 Remke 2009-05-20 17:20:53 EDT
also using ubuntu, in this distro i use:
/etc/udev/rules.d/10-pilot.rules:
BUS=="usb", SYSFS{product}=="Palm Handheld*|Handspring *", KERNEL=="ttyUSB*", NAME="ttyUSB%n", SYMLINK="pilot", GROUP="usb", MODE="0666"

[+] (in ubuntu)
sudo gedit /usr/share/gnome-pilot/devices.xml

Scroll down the file and locate "your" device. Well, in my case, my device wasn't present at all so I had to insert it:

<!-- Palm Tungsten T -->
<device vendor_id="0830" product_id="0060" />
<!-- palmOne Handheld -->
<device vendor_id="0830" product_id="0061" />

[!!!] there could also be another entry for id 0061 -> check and comment out ..

urls:
http://ubuntuforums.org/showthread.php?t=78918
http://www.ubuntuforums.org/showpost.php?p=383772&postcount=4
https://bugzilla.redhat.com/show_bug.cgi?id=176164